<ngx-loading [show]="appService.isLoading.show"></ngx-loading>
<span class="msg-loading font regular size16">
    <span
        *ngIf="
            appService.isLoading.show &&
            (
                appService.isLoading.page ||
                appService.isLoading.modal ||
                appService.isLoading.reloading
            )
        ">
        {{ 'msgLoading.loading' | translate | titlecase }}
    </span>
    <span
        *ngIf="
            appService.isLoading.show &&
            appService.isLoading.processing
        ">
        {{ 'msgLoading.processing' | translate | titlecase }}
    </span>
    <span
        *ngIf="
            appService.isLoading.show &&
            appService.isLoading.saving
        ">
        {{ 'msgLoading.saving' | translate | titlecase }}
    </span>
    <span
        *ngIf="
            appService.isLoading.show &&
            appService.isLoading.checking
        ">
        {{ 'msgLoading.checking' | translate | titlecase }}
    </span>
</span>
<main>
    <header
        #headerView
        class="sticky">
        <div class="container">
            <div
                class="navbar-header-background"
                [ngClass]="{
                    'has-header-subtitle': appService.headerSubtitle,
                    'has-menu-dropdown': menuToggle
                }">
            </div>
            <div
                class="navbar-header pr-3 pl-3"
                [ngClass]="{
                    'has-header-subtitle': appService.headerSubtitle}
                ">
                <div class="d-table">
                    <div class="d-table-cell systeminfo">
                        <div class="d-table">
                            <div class="d-table-cell owner">
                                <div class='label label-th' *ngIf="appService.lang === 'th'"></div>
                                <div class='label label-en' *ngIf="appService.lang === 'en'"></div>
                            </div>
                            <div
                                class="menu"
                                title="{{ ('headerMenu.' + (menuToggle === true ? 'close' : 'open')) | translate | titlecase }}"
                                ngbTooltip="{{ ('headerMenu.' + (menuToggle === true ? 'close' : 'open')) | translate | titlecase }}"
                                placement="right">
                                <a
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }"
                                    href="javascript:void(0)"
                                    (click)="doMenuToggle()">
                                    <span class="light text-white-50 size28">
                                        <i class='fas fa-bars'></i>
                                    </span>
                                </a>
                            </div>
                            <div class="d-table-cell fullname">
                                <a
                                    class="d-block w-100 h-100"
                                    routerLink="Main"
                                    title="{{ 'home' | translate | titlecase }}"
                                    ngbTooltip="{{ 'home' | translate | titlecase }}"
                                    placement="bottom">
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="d-table-cell userinfo">
                        <div class="d-table">
                            <div class="d-table-cell projectcategory-icon">
                                <a
                                    class="btn border-0 pr-0 pl-0"
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }"
                                    routerLink="">
                                    <span class="regular size14">
                                        {{ 'project.category' | translate | titlecase }}
                                    </span>
                                </a>
                            </div>
                            <div class="d-table-cell pl-3 howto-icon">
                                <a
                                    class="btn border-0 pr-0 pl-0"
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }"
                                    href="javascript:void(0)"
                                    target="_blank"
                                    (click)="appService.downloadManual()">
                                    <span class="regular size14">
                                        {{ 'howto' | translate | titlecase }}
                                    </span>
                                </a>
                            </div>
                            <div class="d-table-cell flags-icon pl-3">
                                <a
                                    href="javascript:void(0)"
                                    *ngIf="appService.lang === 'en'"
                                    (click)="appService.setDefaultLang('th')">
                                    <span class="regular flag-icon flag-icon-th"></span>
                                </a>
                                <a
                                    href="javascript:void(0)"
                                    *ngIf="appService.lang === 'th'"
                                    (click)="appService.setDefaultLang('en')">
                                    <span class="regular flag-icon flag-icon-gb"></span>
                                </a>
                            </div>
                            <div
                                ngbDropdown
                                class="d-table-cell text-center pl-3 user-icon"
                                #profileDropdown="ngbDropdown"
                                placement="bottom-right"
                                *ngIf="authService.isAuthenticated">
                                <a
                                    ngbDropdownToggle
                                    id="profile"
                                    href="javascript:void(0)"
                                    [ngStyle]="{
                                        'background-color': userBackgrondColor
                                    }"
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }">
                                    <span class="regular text-white size18">
                                        {{ (authService.getUserInfo.givenName[0] | uppercase) }}{{ (authService.getUserInfo.familyName[0] | uppercase) }}
                                    </span>
                                </a>
                                <div
                                    ngbDropdownMenu
                                    class="pt-3 pb-3"
                                    aria-labelledby="profile">
                                    <div class="dropdown-menu-inner w-100 bg-white pr-0 pl-0">
                                        <div class="d-table">
                                            <div class="d-table-row">
                                                <div class="d-table-cell text-center">
                                                    <div
                                                        class="mr-auto ml-auto center user-icon"
                                                        [ngStyle]="{
                                                            'background-color': userBackgrondColor
                                                        }">
                                                        <span class="regular text-white size48">
                                                            {{ (authService.getUserInfo.givenName[0] | uppercase) }}{{ (authService.getUserInfo.familyName[0] | uppercase) }}
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="d-table-row">
                                                <div class="d-table-cell text-center pt-3">
                                                    <div class="regular size18 text-truncate">
                                                        {{ authService.getUserInfo.fullName[appService.lang] | titlecase }}
                                                    </div>
                                                    <div class="regular text-black-50 size16 text-truncate">
                                                        {{ authService.getUserInfo.email | lowercase }}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="dropdown-divider mt-3 mb-0"></div>
                                        <a
                                            ngbDropdownItem
                                            class="text-center"
                                            routerLink="Transaction/Registered"
                                            role="button">
                                            <span class="regular grey-dark size15">
                                                {{ 'registered.info' | translate | titlecase }}
                                            </span>
                                        </a>
                                        <div class="dropdown-divider mb-08 mt-0"></div>
                                        <div class="d-block w-100 text-center">
                                            <button
                                                type="button"
                                                class="btn btn-transparent"
                                                (click)="
                                                    profileDropdown.close();
                                                    authService.signout()
                                                ">
                                                <span class="regular size16">
                                                    {{ 'signout.label' | translate | titlecase }}
                                                </span>
                                            </button>
                                        </div>
                                        <div class="dropdown-divider mb-2 mt-08"></div>
                                        <div class="d-block w-100 text-center">
                                            <a
                                                class="btn btn-transparent border-0"
                                                href="https://privacy.mahidol.ac.th/{{ this.appService.lang === 'en' ? 'en/home-en' : '' }}"
                                                target="_blank"
                                                (click)="profileDropdown.close()">
                                                <span class="regular size14">
                                                    {{ 'privacyPolicy' | translate | titlecase }}
                                                </span>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div
                                class="d-table-cell text-center pl-3 signin-icon"
                                *ngIf="!authService.isAuthenticated">
                                <a
                                    id="signin"
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }"
                                    routerLink="SignIn">
                                    <span class="regular text-white size15">
                                        {{ 'signin.label' | translate | titlecase }}
                                    </span>
                                </a>
                            </div>
                            <!--
                            <div
                                ngbDropdown
                                class="d-table-cell text-center pl-3 signin-icon"
                                #signinDropdown="ngbDropdown"
                                placement="bottom-right"
                                *ngIf="!authService.isAuthenticated">
                                <a
                                    ngbDropdownToggle
                                    id="signin"
                                    href="javascript:void(0)"
                                    [ngClass]="{
                                        disabled: (appService.isLoading.page || appService.isLoading.modal)
                                    }">
                                    <span class="regular text-white size15">
                                        {{ 'signin.label' | translate | titlecase }}
                                    </span>
                                </a>
                                <div
                                    ngbDropdownMenu
                                    class="pt-3 pb-3"
                                    aria-labelledby="signin">
                                    <div class="dropdown-menu-inner w-100 bg-white pr-0 pl-0">
                                        <div class="btn-signin-with pt-2 pr-3 pb-2 pl-3">
                                            <button
                                                type="button"
                                                class="btn with-mu"
                                                (click)="
                                                    signinDropdown.close();
                                                    appService.gotoSignIn()
                                                ">
                                                <div class="inline-block">
                                                    <img src="assets/images/icon-signin-with-mu.png" alt="" />
                                                </div>
                                                <div class="inline-block regular size14">
                                                    Sign in with Mahidol University
                                                </div>
                                            </button>
                                        </div>
                                        <div class="dropdown-divider mb-2 mt-1"></div>
                                        <div class="d-block w-100 text-center">
                                            <a
                                                class="btn btn-transparent border-0"
                                                href="https://privacy.mahidol.ac.th/{{ this.appService.lang === 'en' ? 'en/home-en' : '' }}"
                                                target="_blank"
                                                (click)="profileDropdown.close()">
                                                <span class="regular size14">
                                                    {{ 'privacyPolicy' | translate | titlecase }}
                                                </span>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            -->
                        </div>
                    </div>
                </div>
            </div>
            <div
                class="navbar-header-menu"
                [ngClass]="{
                    'has-header-subtitle': appService.headerSubtitle
                }"
                *ngIf="menuToggle === true">
                <div class="dropdown-menu d-block position-relative pr-3 pl-3 mt-0">
                    <a
                        class="dropdown-item text-white-50"
                        routerLink="">
                        <span class="regular size16">
                            <i class="fas fa-layer-group text-center"></i>
                            {{ 'project.category' | translate | titlecase }}
                        </span>
                    </a>
                    <a
                        class="dropdown-item text-white-50"
                        href="javascript:void(0)"
                        target="_blank"
                        (click)="
                            menuToggle = !menuToggle;
                            appService.downloadManual()
                        ">
                        <span class="regular size16">
                            <i class='fab fa-readme text-center'></i>
                            {{ 'howto' | translate | titlecase }}
                        </span>
                    </a>
                </div>
            </div>
            <div
                class="navbar-header-title row mr-0 ml-0"
                *ngIf="appService.headerSubtitle !== null">
                <div class="col align-middle text-center text-light text-truncate">
                    <a
                        class="bold size18"
                        href="javascript:void(0)"
                        routerLink="{{ appService.rootPath }}">
                        <span class="text-light">
                            #{{ appService.headerSubtitle[appService.lang] | titlecase }}
                        </span>
                    </a>
                </div>
            </div>
        </div>
    </header>
    <section [ngStyle]="sectionStyle">
        <div
            class="container pt-3"
            *ngIf="!appService.isLoading.page">
            <router-outlet></router-outlet>
        </div>
    </section>
    <footer #footerView>
        <div class="container text-center p-3">
            <span class="regular size14">
                <div *ngIf="appService.lang === 'th'">
                    <span class="regular size16">
                        <i class="fas fa-copyright"></i>
                    </span>
                    &nbsp;
                    สงวนลิขสิทธิ์ พ.ศ.2562{{ (today.getFullYear() + 543) > 2562 ? (' - ' + (today.getFullYear() + 543)) : '' }} มหาวิทยาลัยมหิดล, พัฒนาโดย กองเทคโนโลยีสารสนเทศ
                </div>
                <div
                    *ngIf="appService.lang === 'en'">
                    Copyright
                    &nbsp;
                    <span class="regular size16">
                        <i class="fas fa-copyright"></i>
                    </span>
                    &nbsp;
                    2019{{ today.getFullYear() > 2019 ? (' - ' + today.getFullYear()) : '' }} Mahidol University. All rights reserved.
                </div>
            </span>
        </div>
    </footer>
</main>
